Update rule
curl --request PATCH \
--url https://api.helpdesk.com/v1/rules/{ruleID} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Pending to closed",
"description": "Set ticket to closed after 3 days when pending",
"ordering": 100,
"quantifier": "all",
"active": true,
"triggers": [],
"actions": [
{
"type": "assign",
"teamID": "5f4b1f3b-4b7b-4b7b-8b7b-4b7b4b7b4b7b",
"randomAgent": true,
"roundRobin": true,
"agentID": "5f4b1f3b-4b7b-4b7b-8b7b-4b7b4b7b4b7b"
}
]
}
'import requests
url = "https://api.helpdesk.com/v1/rules/{ruleID}"
payload = {
"name": "Pending to closed",
"description": "Set ticket to closed after 3 days when pending",
"ordering": 100,
"quantifier": "all",
"active": True,
"triggers": [],
"actions": [
{
"type": "assign",
"teamID": "5f4b1f3b-4b7b-4b7b-8b7b-4b7b4b7b4b7b",
"randomAgent": True,
"roundRobin": True,
"agentID": "5f4b1f3b-4b7b-4b7b-8b7b-4b7b4b7b4b7b"
}
]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Pending to closed',
description: 'Set ticket to closed after 3 days when pending',
ordering: 100,
quantifier: 'all',
active: true,
triggers: [],
actions: [
{
type: 'assign',
teamID: '5f4b1f3b-4b7b-4b7b-8b7b-4b7b4b7b4b7b',
randomAgent: true,
roundRobin: true,
agentID: '5f4b1f3b-4b7b-4b7b-8b7b-4b7b4b7b4b7b'
}
]
})
};
fetch('https://api.helpdesk.com/v1/rules/{ruleID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ID": "42e113f9-9353-4e89-9f68-69b92f423b0c",
"licenseID": 13381337,
"createdAt": "2026-06-30T22:02:08.901Z",
"createdBy": "f56caf69-3f05-4386-9567-fdc909d7ad77",
"createdByType": "agent",
"updatedAt": "2026-06-30T22:02:08.901Z",
"updatedBy": "f56caf69-3f05-4386-9567-fdc909d7ad77",
"name": "Pending to closed",
"description": "Set ticket to closed after 3 days when pending",
"type": "tickets",
"ordering": 100,
"active": true,
"quantifier": "all",
"triggers": [],
"actions": [],
"useCounter": 153
}Rules
Update rule
PATCH
/
v1
/
rules
/
{ruleID}
Update rule
Authorizations
PersonalAccessTokenBearerAuth
Use your account ID as the username and your personal access token (PAT) as the password, or pass a Base64-encoded value directly in the Authorization header. For more information, see the personal access tokens guide.
Path Parameters
Body
application/json
Rule name
Example:
"Pending to closed"
Rule description
Example:
"Set ticket to closed after 3 days when pending"
Rule execution order
Example:
100
| Quantifier | Description |
|---|---|
all | all triggers are required to invoke actions (AND) |
any | any trigger suffice to invoke actions (OR) |
Available options:
all, any Is rule active
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
Show child attributes
Show child attributes
Response
200 - application/json
Successful response.
Unique object identifier.
Unique account identifier.
The time of creation.
The creator identifier.
The creator type.
Available options:
agent, client, system The time of last modification.
The modification author identifier.
The rule name.
The rule description.
The rules domain.
Available options:
tickets The rule execution order.
Is rule active.
| Quantifier | Description |
|---|---|
all | all triggers are required to invoke actions (AND) |
any | any trigger suffice to invoke actions (OR) |
Available options:
all, any - Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
Show child attributes
Show child attributes
The rule use counter.
Was this page helpful?
⌘I